Bug 1015497 - FTBFS: Failure: ./t_cccursor failed with code -6.
FTBFS: Failure: ./t_cccursor failed with code -6.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
rawhide
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PPCTracker
  Show dependency treegraph
 
Reported: 2013-10-04 07:57 EDT by Karsten Hopp
Modified: 2014-03-03 11:48 EST (History)
3 users (show)

See Also:
Fixed In Version: krb5-1.12.1-5.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-03 11:48:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2013-10-04 07:57:41 EDT
Description of problem:
Test on FILE:/tmp/cctest.51604 passed
gcc   -I../../../include -I../../../include -I./ccapi  -DKRB5_DEPRECATED=1 -DKRB5_PRIVATE -I/usr/include/et -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m32 -I/usr/include/et -fPIC -fno-strict-aliasing -fstack-protector-all -Wall -Wcast-align -Wshadow -Wmissing-prototypes -Wno-format-zero-length -Woverflow -Wstrict-overflow -Wmissing-format-attribute -Wmissing-prototypes -Wreturn-type -Wmissing-braces -Wparentheses -Wswitch -Wunused-function -Wunused-label -Wunused-variable -Wunused-value -Wunknown-pragmas -Wsign-compare -Werror=uninitialized -Werror=declaration-after-statement -Werror=variadic-macros -Werror-implicit-function-declaration -pthread -c t_cccursor.c
gcc -L../../../lib  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m32 -I/usr/include/et -fPIC -fno-strict-aliasing -fstack-protector-all -pie -Wl,-z,relro -Wl,-z,now -Wl,-z,relro  -o t_cccursor t_cccursor.o -lkrb5 -lk5crypto -lcom_err -lkrb5support  -lkeyutils  -lresolv -lselinux  -ldl
PYTHONPATH=../../../util VALGRIND="" python ./t_cccol.py 
*** Failure: ./t_cccursor failed with code -6.

Version-Release number of selected component (if applicable):
krb5-1.11.3-10.fc21.src.rpm

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f21 krb5-1.11.3-10.fc21.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1438203

Expected results:


Additional info:
Comment 1 Nalin Dahyabhai 2013-10-04 16:22:28 EDT
I just attempted the same with the more-current krb5-1.11.3-22.fc21, but the version of keyutils in the buildroot is too old.
Comment 2 David Aquilina 2013-10-21 11:52:09 EDT
What version of keyutils do you need? krb5 breaks a huge chain of dependencies which is why newer versions haven't been built automatically, but we can always [try to] build something manually (as long as it will actually build) to get things going.
Comment 3 Nalin Dahyabhai 2013-10-21 13:02:26 EDT
Preferably 1.5.8 or later.  Please avoid 1.5.7 if possible.
Comment 4 Nalin Dahyabhai 2014-03-03 11:48:12 EST
PPC build succeeds with krb5-1.12.1-5.fc21, marking as fixed.

Note You need to log in before you can comment on or make changes to this bug.